Next: clog, Previous: cexp, Up: Complex [Contents][Index]

### 2.12 `cimag`, `cimagf`, `cimagl`—imaginary part

Synopsis

    #include <complex.h>
    double cimag(double complex z);
    float cimagf(float complex z);
    long double cimagl(long double complex z);

Description
These functions compute the imaginary part of z.

`cimagf` is identical to `cimag`, except that it performs its calculations on `float complex`.

`cimagl` is identical to `cimag`, except that it performs its calculations on `long double complex`.

Returns
The cimag* functions return the imaginary part value (as a real).

Portability
`cimag`, `cimagf` and `cimagl` are ISO C99